'use strict';

require('./widget.less');

const React = require('react');
const Component = React.Component;
const PropTypes = React.PropTypes;

class LegoTest extends Component {
    render() {
        let title = this.props.title;
        let desc = this.props.desc;
        return (
            <div className="lego-test-section">
                <div className="title">{title}</div>
                <div className="desc">{desc}</div>
            </div>
        );
    }
}

LegoTest.contextTypes = {
    legoWidgetId: PropTypes.string
};
LegoTest.propTypes = {
    title: PropTypes.string.isRequired,
    desc: PropTypes.string
};
LegoTest.defaultProps = {
    desc: ''
};

module.exports = LegoTest;
