'use strict';

const Lego = require('@gfe/lego');

function* action() {
    this.legoConfig = {
        type: Lego.PageType.TYPE_BIGPIPE,
        widgets: [{
            name: 'sample_innner_widget',
            params: {
                title: 'lego-widget-react',
                desc: 'test'
            },
            weight: 100
        }],
        options: {
            staticResources: [{
                entry: '<%- PkgName %>/static/common.js',
                styles: '<%- PkgName %>/static/common.css'
            }, {
                entry: '<%- PkgName %>/static/page.js',
                styles: '<%- PkgName %>/static/page.css'
            }]
        }
    };
}

module.exports = {
    url: '/demo.:suffix',
    action,
    description: 'demo action'
};
